Play.HT
    • Stream Audio From Text
      POST
    • Generate Audio From Text
      POST
    • Get Text-To-Speech Job Data
      GET
    • List PlayHT Voices
      GET
    • Create Instant Voice Clone (via file upload)
      POST
    • Create Instant Voice Clone (via file URL)
      POST
    • List Cloned Voices
      GET
    • Delete Cloned Voices
      DELETE
    • Timestamp From Audio
      POST
    • Get Transcription Job Data
      GET
    • Convert Plain Text To Speech
      POST
    • Convert SSML To Speech
      POST
    • Get Conversion Job Status
      GET
    • Get Available Voices
      GET

      Timestamp From Audio

      Develop Env
      https://dev.your-api-server.com
      Develop Env
      https://dev.your-api-server.com
      POST
      /api/v2/transcriptions
      Creates a new transcription that extracts text and time information from the audio generated by a text-to-speech (TTS) generation.
      For example, you can generate SRT subtitles with the timestamps at word or sentence level.
      Similarly, you can also generate VRT or JSON outputs, similarly, with the timestamps at word or sentence level.
      The audio to be transcribed comes from a text-to-speech (TTS) generation. The TTS job ID is specified in the request body.
      The API responds with information about the newly created Transcription job:
      Status: 201 - Created
      Header: Location: /api/v2/transcriptions/{id} - the URL for the recently-created job
      Body: Job data (job ID and status)
      When the job completes, the transcription result is delivered through the webhook sent to the webhook_url specified in the request body.

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢201Created
      application/json
      Bodyapplication/json

      🟠400Bad Request
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://dev.your-api-server.com/api/v2/transcriptions' \
      --header 'content-type: application/json' \
      --data '{
        "format": "SRT",
        "timestamp_level": "WORD"
      }'
      Response Response Example
      201 - Success
      {
        "id": "kcQ29KcxYe8qryEsgf",
        "webhook_url": "https://webhook.site/7b9ece37-763d-410f-913c-647d7c44481d",
        "format": "SRT",
        "timestamp_level": "SENTENCE",
        "status": "active",
        "transcription": "string",
        "started_at": "2020-05-01T12:00:00.987Z",
        "completed_at": "2020-05-01T12:01:00.123Z",
        "_links": "https://play.ht/api/v2/transcriptions/a4b9fc398ebf"
      }
      Modified at 2024-07-30 06:11:59
      Previous
      Delete Cloned Voices
      Next
      Get Transcription Job Data
      Built with